#ifndef VDR_MPLAYERCLUSTER_KEYS_H
#define VDR_MPLAYERCLUSTER_KEYS_H

#include <vdr/config.h>
#include <vdr/keys.h>
#include "cstring.h"

class cClusterKey: public cListObject {
private:
	eKeys m_Key;
	cString m_Command;

public:
	cClusterKey(void);
	cClusterKey(eKeys Key, const cString &Command);
	~cClusterKey();

	eKeys Key(void) const { return m_Key; }
	const cString &Command(void) const { return m_Command; }

	bool Parse(char *String);
};

class cClusterKeys: public cConfig<cClusterKey> {
public:
	const cString &Get(eKeys Key) const;
};

extern cClusterKeys ClusterKeys;

#endif // VDR_MPLAYERCLUSTER_KEYS_H
